#### D.12.2.52 m_merkle_hellman_decryption

Procedure from library `crypto.lib` (see crypto_lib).

Usage:
  m_merkle_hellman_decryption(knapsack, primitive, mod1, message)

Return:
  decrypted binary list

Example:

    LIB "crypto.lib";
    //Please note that the values  have been obtained from the example of m_merkle_hellman_encryption and m_merkle_hellman_transformation!
    list knapsack = 2,3,5,7;
    int message = 140;
    bigint primitive = 2;
    bigint mod1 = 211;
    m_merkle_hellman_decryption(knapsack,primitive,mod1,message);
    ==> [1]:
    ==>    1
    ==> [2]:
    ==>    0
    ==> [3]:
    ==>    0
    ==> [4]:
    ==>    1

User manual for Singular version 4.4.1, 2025, generated by texi2html.